#!/usr/bin/bash

display=$1

pids=~/.Xvfb_vnc/pids
mkdir -p ${pids}
for p in openbox xautolock x11vnc Xvfb; do
  pidfile=${pids}/${p}-${display}.pid
  if [ -f "$pidfile" ]; then
    pid=`cat $pidfile`
    kill ${pid}
    rm $pidfile
  fi
done
